<?php
defined( 'ABSPATH' ) || die(-1);
$settings_tabs = $this->get_tab_settings();
$current_tab = isset($_GET['tab']) ? gv_clean($_GET['tab']) : GPLVault_Admin::TAB_ACTIVATION;
$tab = isset($_GET['tab']) ? gv_clean($_GET['tab']) : GPLVault_Admin::TAB_ACTIVATION;
//$tab = $current_tab = GVOM()->api_key_exists() ? $tab : GPLVault_Admin::TAB_ACTIVATION;

?>
<div class="wrap">
    <div id="icon-themes" class="icon32"></div>
    <h2><?php _e('GPL Vault Dashboard', 'gplvault') ?></h2>
	<?php settings_errors(); ?>
    <div id="custom_errors_container"></div>

    <h2 class="nav-tab-wrapper">
        <?php
            foreach ( $settings_tabs as $tab_key => $tab_name) :
                $active_tab = $current_tab === $tab_key ? ' nav-tab-active' : '';
                echo '<a class="nav-tab'. $active_tab .'" href="?page='. GPLVault_Admin::SLUG_SETTINGS .'&tab='. $tab_key .'">'. $tab_name .'</a>';
            endforeach;
        ?>
    </h2> <!-- .nav-tab-wrapper -->

<?php if ($current_tab === GPLVault_Admin::TAB_ACTIVATION): ?>
    <form method="POST" action="">
<?php else : ?>
    <form method="POST" action="options.php">
<?php endif; ?>
       <div id="gplvault_settings_main" class="main">
           <?php
			   if( $current_tab === GPLVault_Admin::TAB_ACTIVATION) {
				   settings_fields(GPLVault_Settings_Manager::API_SETTINGS_MAIN);
				   do_settings_sections(GPLVault_Admin::TAB_ACTIVATION); ?>
                   <button type="button" id="save_api_settings" class="button button-primary" data-nonce="<?php echo wp_create_nonce('gv_cleanup_settings'); ?>"><?php _e('Activate API Key', 'gplvault'); ?></button>
			   <?php } elseif ($current_tab === GPLVault_Admin::TAB_OTHERS) {
				   settings_fields(GPLVault_Settings_Manager::EXTRA_SETTINGS_KEY);
				   do_settings_sections( GPLVault_Admin::TAB_OTHERS );
                   submit_button( __( 'Save Changes', 'gplvault' ) );
			   }
           ?>
       </div>
    </form>
</div> <!-- .wrap -->
